/***************************************************************************
 *  Copyright (C) 2009 by Anton R. <commanderkyle@gmail.com>
 *
 *  This file is a part of QAquarelle project.
 *
 *  QAquarelle is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  QAquarelle is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with QAquarelle.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef SCENE_H
#define SCENE_H

class Scene {

    float m_Light[3];

public:
    Scene (void) {
        m_Light[0] =   0.0f;
        m_Light[1] =   0.0f;
        m_Light[2] = -10.0f;
    }


    /**
     * Get the light position in
     * canvas space.
     */
    const float * lightPosition (void) const {
        return m_Light;
    }
};

#endif // SCENE_H
