#include "qhaswidgets.h"
#include "paperindicator.h"
#include "controlsstack.h"

void QHASWidgets::init (void) {
}

IPaperSwitch * QHASWidgets::spawnPaperSwitch (QWidget * parent) {
    return new PaperIndicator (parent);
}

IPaperSwitch * QHASWidgets::spawnPaperSwitch (void) {
    return new PaperIndicator (NULL);
}

IControlsStack * QHASWidgets::spawnControlsStack (QWidget * parent) {
    return new ControlsStack (parent);
}

IControlsStack * QHASWidgets::spawnControlsStack (void) {
    return new ControlsStack (NULL);
}

